<h2>{{ trainingDefinition?.title }}</h2>
<div>{{ trainingDefinition?.description }}</div>
<div class="icon-panel-container">
  <div class="data-field">
    <mat-icon> format_list_numbered </mat-icon>
    <div class="icon-label">Number of Phases</div>
    <div class="value-field">{{ trainingDefinition?.levels.length }}</div>
  </div>
  <div class="data-field">
    <mat-icon> pending_actions </mat-icon>
    <div class="icon-label">Last Edited</div>
    <div class="value-field">{{ trainingDefinition?.lastEditTimeFormatted }}</div>
  </div>
  <div class="data-field">
    <mat-icon> schedule </mat-icon>
    <div class="icon-label">Estimated Duration</div>
    <div class="value-field">{{ trainingDefinition?.estimatedDuration }}</div>
  </div>
  <div class="data-field">
    <mat-icon> more_horiz </mat-icon>
    <div class="icon-label">Stepper</div>
    <div class="value-field" *ngIf="trainingDefinition?.showStepperBar; else noStepper">
      Displayed
    </div>
    <ng-template #noStepper>
      <div class="value-field">
        Hidden
      </div>
    </ng-template>
  </div>
  <div class="data-field">
    <mat-icon> outbox </mat-icon>
    <div class="icon-label">State</div>
    <div class="value-field">{{ trainingDefinition.state }}</div>
  </div>
</div>

<mat-expansion-panel class="mat-elevation-z0">
  <mat-expansion-panel-header>
    <mat-panel-title>
      <h3>
        Notes
      </h3>
    </mat-panel-title>
  </mat-expansion-panel-header>

  <div class="expansion-content">
    <div class="expansion-data-field">
      <div class="key-field">Instructor notes</div>
      <div *ngIf="trainingDefinition?.prerequisites.length > 0; else emptyPrerequisites">
        <div *ngFor="let prerequisity of trainingDefinition?.prerequisites">
          {{ prerequisity }}
        </div>
      </div>
      <ng-template #emptyPrerequisites>
        There are no notes
      </ng-template>
    </div>
    <div class="expansion-data-field">
      <div class="key-field">Learning outcomes</div>
      <div *ngIf="trainingDefinition?.outcomes.length > 0; else emptyOutcomes">
        <div *ngFor="let outcome of trainingDefinition?.outcomes">
          {{ outcome }}
        </div>
      </div>
      <ng-template #emptyOutcomes>
        There are no outcomes
      </ng-template>
    </div>
  </div>
</mat-expansion-panel>
